﻿/* Desktop + Tablet  */
@media screen and (min-width: 600px) {

    .mainDeals {
        max-width: 1304px;
        margin: 0 auto;
        padding: 0 10px 64px;
    }

        .mainDeals .dealsHomepage {
            padding-top: 16px;
        }

            .mainDeals .dealsHomepage .homePageRow {
                padding: 0 10px;
                max-width: 1256px;
                margin: 0px auto;
            }

                .mainDeals .dealsHomepage .homePageRow:has(.banner) {
                    max-width: 1256px;
                    padding: 0 10px;
                }

                .mainDeals .dealsHomepage .homePageRow .banner {
                    margin-bottom: 64px;
                    display: block;
                }

                .mainDeals .dealsHomepage .homePageRow:first-of-type .banner:first-of-type {
                    margin-bottom: 32px;
                }

                .mainDeals .dealsHomepage .homePageRow:has(.SliderWraper) {
                    margin-bottom: 64px;
                }                

    .DealsHomePage .mainDeals .homePageRow .div_categoriesImg {
        flex-wrap: wrap;
        align-items: center;
        justify-content: flex-start;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(2, auto);
        gap: 24px;
    }

        .DealsHomePage .mainDeals .homePageRow .div_categoriesImg .categoryBox img {
            width: 100%;
            height: auto;
            border-radius: 4px;
        }

    .DealsHomePage .mainDeals .homePageRow .middleBanner.desktop {
        display: flex;
        justify-content: center;
    }

    .SliderRow.ThreeInRow .deal.SlideBox {
        width: 396px;
    }

    .SliderRow.SixInRow .deal.SlideBox {
        width: 186px;
    }
}

/* Mobile  */
@media screen and (max-width: 600px) {
    .MainDiv.DealsHomePage.dealsMobile {
        width: 100%;
        height: 100%;
        overflow: hidden;
        direction: rtl;
    }

    .mainDeals .dealsHomepage .homePageRow:has(.SliderWraper) {
        margin: 8px 16px 32px 0;
    }

    .mainDeals .dealsHomepage .homePageRow:has(.div_categoriesImg) {
        margin: 8px 16px 32px 0;
    }

    .deal.SlideBox {
        width: 216px;
    }

    .SliderWraper .SliderRow .SlideNumber {
        column-gap:12px !important;
    }

}

.topMobileBanner {
    width: 100%;
    background-color: #F3F6F6;
    display: flex;
    justify-content: center;
}
